import 'package:source_gen/source_gen.dart';
import 'package:build/src/builder/builder.dart';

import 'Generator/RouterCenterGenerator.dart';
import 'Generator/RouterGenerator.dart';
import 'Generator/ServiceGenerator.dart';
import 'Generator/UserGenerator.dart';


Builder routerBuilder(BuilderOptions options) =>
    LibraryBuilder(RouterGenerator(), generatedExtension: ".rout.dart");

Builder routerCenterBuilder(BuilderOptions options) =>
    LibraryBuilder(RouterCenterGenerator(), generatedExtension: ".mark.dart");

Builder userBuilder(BuilderOptions options)=>
    LibraryBuilder(UserGenerator(),generatedExtension: ".user.dart");

Builder apiBuilder(BuilderOptions options)=>
    LibraryBuilder(ServiceGenerator(),generatedExtension: ".serv.dart");


//Builder jsonBuilder(BuilderOptions options)=>
//    LibraryBuilder(JsonSerializableGenerator(),generatedExtension: ".json.dart");